package com.ruoyi.ehsNoticeMessageFile.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 通知公告附件对象 ehs_notice_message_file
 *
 * @author ruoyi
 * @date 2023-12-07
 */
@Data
@ToString
@NoArgsConstructor
@Accessors(chain = true)
@TableName("ehs_notice_message_file")
public class EhsNoticeMessageFile extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId(type= IdType.AUTO)
    private Long id;

    /** 消息表主键 */
    @Excel(name = "消息表主键")
    private Long noticeMessageId;

    /** 上传文件名,只能保存一个文件 */
    @Excel(name = "上传文件名,只能保存一个文件")
    private String fileName;

    /** 0已上传未提交  1已提交，同一个消息的状态应该是一致的 */
    @Excel(name = "0已上传未提交  1已提交，同一个消息的状态应该是一致的")
    private Integer state;

    /** 上传文件的原始文件名，多个文件需要多个记录 */
    @Excel(name = "上传文件的原始文件名，多个文件需要多个记录")
    private String originalName;

    /** 附件大小 */
    @Excel(name = "附件大小")
    private String fileSize;

    /** 提交时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "提交时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date submitTime;

    @TableField(exist = false)
    private String deptIName;
}
