package com.ruoyi.ehsRescueTeamWorker.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.ehsRescueTeamWorker.domain.EhsRescueTeamWorker;
import com.ruoyi.ehsRescueTeamWorker.domain.RescueTeamWorkerImportTemplate;

/**
 * 应急救援队人员信息Service接口
 *
 * @author ruoyi
 * @date 2023-12-11
 */
public interface IEhsRescueTeamWorkerService extends IService<EhsRescueTeamWorker> {

    /**
     * 查询应急救援队人员信息
     *
     * @param id 应急救援队人员信息主键
     * @return 应急救援队人员信息
     */
    public EhsRescueTeamWorker selectEhsRescueTeamWorkerById(Long id);

    /**
     * 查询应急救援队人员信息列表
     *
     * @param ehsRescueTeamWorker 应急救援队人员信息
     * @return 应急救援队人员信息集合
     */
    public List<EhsRescueTeamWorker> selectEhsRescueTeamWorkerList(EhsRescueTeamWorker ehsRescueTeamWorker);

    // 根据队伍ids删除队伍中的队员
    boolean removeWorkerByTeamIds(List<Long> teamIds);

    // 批量导入数据
    public String importRescueTeamWorker(List<RescueTeamWorkerImportTemplate> list, Boolean updateSupport, Long params) throws Exception;
}
